<template>
    <div v-if="users" class="section__items">
        <Item
            v-for="user in users"
            :key="user.id"
            :user="user"
            :header-phone=false
            :all-adverts=false
        />
        <div class="pagination">
            <button v-if="currentPage !== lastPage" v-on:click="getUsers(currentPage + 1)" :class="buttonClass"  type="submit">{{ buttonName }}</button>
        </div>
    </div>
</template>

<script>
import Item from "../Item.vue";

export default {
    components: {
      Item
    },
    data() {
        return {
            users: [],
            currentPage: 1,
            lastPage: null,
            loading: false,
        }
    },
    created() {
        this.getUsers(this.currentPage);
    },
    computed: {
        buttonName() {
            return this.loading ? 'Идет загрузка...' : 'Показать еще' ;
        },
        buttonClass() {
            return this.loading ? 'pagination_next bg-white' : 'pagination_next';
        }
    },
    methods: {
        async getUsers(page) {
            this.loading = true;
            await axios
                .post('/api/', {page: page})
                .then(result => {
                    this.users = this.users.concat(result.data.adverts.data);
                    this.currentPage = result.data.adverts.current_page;
                    this.lastPage = result.data.adverts.last_page;
                    this.loading = false;
                })
                .catch(error => {

                })
            ;
        }

    }
}
</script>
